while installation different problems are comming?

Ask questions about your setup or get help installing ZCS server (ZD section below).
11634hari
Posts: 4
Joined: Fri Sep 12, 2014 9:59 pm

while installation different problems are comming?

Postby 11634hari » Wed Nov 16, 2005 2:09 am

Hi this is hari ,


I am listing errors when i install.sh executes:


i gave as it is localhost.localdomain.com while instalation bcoz one default host i created in networks.


install.sh

errors am getting while starting servers........



Starting servers...Calling GetServiceInfoRequest (localhost.localdomain.com)
RESPONSE: (Zimbra::Mon::serviceInfo)

host

ip

name localhost.localdomain.com

done

ERROR: service.FAILURE (system failure: getDirectContext) (cause: javax.naming.CommunicationException localhost.localdomain.com:389)
Installation complete!

Operations logged to /tmp/install.log.1338


i executed with -u am getting this errors

./install.sh -u
[root@localhost zcs]# ./install.sh -u
Operations logged to /tmp/install.log.11323


PLEASE READ THIS AGREEMENT CAREFULLY BEFORE USING THE SOFTWARE. ZIMBRA, INC.

("ZIMBRA") WILL ONLY LICENSE THIS SOFTWARE TO YOU IF YOU FIRST ACCEPT THE TERMS

OF THIS AGREEMENT. BY DOWNLOADING OR INSTALLING THE SOFTWARE, OR USING THE

PRODUCT, YOU ARE CONSENTING TO BE BOUND BY THIS AGREEMENT. IF YOU DO NOT AGREE

TO ALL OF THE TERMS OF THIS AGREEMENT, THEN DO NOT DOWNLOAD, INSTALL OR USE THE

PRODUCT.
Open Source License Terms for the Zimbra Collaboration Suite:

http://www.zimbra.com/downloads/sourcebinary/index.php?dl=2
>

Checking for prerequisites...

libidn...FOUND libidn-0.4.6-1.0.rh8.dag

curl...FOUND curl-7.9.8-1

fetchmail...FOUND fetchmail-5.9.0-16
Checking for installable packages
Found zimbra-core

Found zimbra-ldap

Found zimbra-mta

Found zimbra-snmp

Found zimbra-store


Checking for sendmail/postfix


Checking for mysqld
Checking for existing installation...

zimbra-ldap...FOUND zimbra-ldap-3.0.M1_21.FC3-20050920155949_

zimbra-logger...not found

zimbra-mta...FOUND zimbra-mta-3.0.M1_21.FC3-20050920155949_

zimbra-snmp...FOUND zimbra-snmp-3.0.M1_21.FC3-20050920155949_

zimbra-store...FOUND zimbra-store-3.0.M1_21.FC3-20050920155949_

zimbra-core...FOUND zimbra-core-3.0.M1_21.FC3-20050920155949_
Saving existing configuration file to /tmp/saveconfig.11323

cp: cannot stat `/opt/zimbra/conf/smtpd.key': No such file or directory
Completely remove existing installation? [N] y
Shutting down zimbra mail
Removing legacy packages


Removing existing packages
zimbra-ldap...done

zimbra-mta...done

zimbra-snmp...done

zimbra-store...done

zimbra-core...done

rm: cannot remove `/etc/ld.so.conf.d/zimbra.ld.conf': Not a directory
Removing deployed webapp directories
Removing /opt/zimbra
Removing users/groups
[root@localhost zcs]#

and if i executed this command :

ps -ef | grep zimbra


[root@localhost zcs]# ps -ef | grep zimbra

zimbra 2254 1 0 13:20 pts/0 00:00:00 /bin/sh /opt/zimbra/mysql/bin/myzimbra 2289 2254 0 13:20 pts/0 00:00:05 /opt/zimbra/mysql/bin/mysqld --dzimbra 4703 1 0 13:25 pts/0 00:00:00 perl /opt/zimbra/bin/zmmon

zimbra 4724 4703 0 13:25 pts/0 00:00:00 perl /opt/zimbra/bin/zmmon

zimbra 4725 4703 0 13:25 pts/0 00:00:00 perl /opt/zimbra/bin/zmmon

root 7156 987 0 13:31 pts/0 00:00:00 grep zimbra


Tell me how to kill above processes? help also. bcoz i am new to linux.

and if i executes given commands in another terminal:

out put is like:
[root@localhost root]# su zimbra

[zimbra@localhost root]$ zmcontrol status

/bin/bash: /root/.bashrc: Permission denied

Calling GetServiceInfoRequest (localhost.localdomain.com)
/bin/bash: /root/.bashrc: Permission denied

RESPONSE: (Zimbra::Mon::serviceInfo)

host

ip

name localhost.localdomain.com

/bin/bash: /root/.bashrc: Permission denied

[zimbra@localhost root]$

[zimbra@localhost root]$ zmcontrol start

/bin/bash: /root/.bashrc: Permission denied

Calling start (localhost.localdomain.com)
/bin/bash: /root/.bashrc: Permission denied

/bin/bash: /root/.bashrc: Permission denied
this permission error is giving right now , previously this error is not came, previously its came like this
[root@localhost root]# su zimbra

[zimbra@localhost root]$ zmcontrol status

Calling GetServiceInfoRequest (localhost.localdomain.com)
RESPONSE: (Zimbra::Mon::serviceInfo)

host

ip

name localhost.localdomain.com
[zimbra@localhost root]$



And also getting errors while linux Boot time: mount points are not set for /opt/zimbra/xxxxxxxxxxxxxxxxxx.

So tell me what's problem in my system, where i am going to wrong .


Thanking you,
M.Hari prasad


13445raj
Outstanding Member
Outstanding Member
Posts: 743
Joined: Fri Sep 12, 2014 9:59 pm
Location: Canada
Contact:

while installation different problems are comming?

Postby 13445raj » Wed Nov 16, 2005 9:00 am

I got same errors on FC 4 without UPDATES :( :( , like zimbra folks say they support “FC 3” right now out of the box then they are right
1) If you are using FC 4 then follow this thread instructions..

http://www.zimbra.com/forums/showthread.php?t=590
if
you using FC 3 then give more information if its a clean minimal install what you have on it. and try updating your system using: yum update
2) your permissions errors are coz you missed "-" :)

when you logged in as root you did

[root@localhost root]# su zimbra

above is not correct

you need to do

[root@localhost root]# su - zimbra
then you will be in zimbra user bash shell and your zmcontrol commands will work..
...if you update FC 3 or FC 4 using YUM

try uninstall ( ./install.sh –u )kill all zimbra services if any running and do fresh install
Raj S Vrach

i2k2systems.com
11634hari
Posts: 4
Joined: Fri Sep 12, 2014 9:59 pm

while installation different problems are comming?

Postby 11634hari » Thu Nov 17, 2005 6:20 am

Hi Mr.Raj,

Thank for the reply.

Actually iam using Linux Fedora Core 1 installed in my system, and what i downloaded ZIMBRA is zcs-3.0.M1_21.FC3, is it a compatible version ?

If not what is the other version which i can download and test, or i must upgrade my OS only from fedora core1 to Fedore core 3 or 4

Thanks in advance.
13445raj
Outstanding Member
Outstanding Member
Posts: 743
Joined: Fri Sep 12, 2014 9:59 pm
Location: Canada
Contact:

while installation different problems are comming?

Postby 13445raj » Thu Nov 17, 2005 9:03 am

hi..download area clearly says FC3 or RHEL4

Please download FC3 and follow install instruction..FC1 is not supported.
First work with Supported OS and once everything works for you then you can try other ones if you like...
Raj

Return to “Installation and Upgrade”

Who is online

Users browsing this forum: No registered users and 7 guests